package com.pj.api.dto;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 09 01 19 10
 **/
public class SellGoodsListDto {

    private Long id;

    /**
     * 预申报编号
     */
    private String platSeqNo;

    /**
     * 商品序号
     */
    private String gNo;

    /**
     * 商品编码
     */
    private String codeTs;

    /**
     * 商品名称
     */
    private String gName;

    /**
     * 规格型号
     */
    private String gModel;

    /**
     * 储存条件：常温 1：冷藏，2：冷冻：3
     */
    private String storageEnvm;

    /**
     * 用 途 ： 01 食用 、 02 工 业用、03 药用、04 种 用 、 05饲用、06 其他
     */
    private String useTo;

    /**
     * 毛重
     */
    private Double grossWt;

    /**
     * 净重
     */
    private Double netWt;

    /**
     * 产销国
     */
    private String originCountry;

    /**
     * 货物数量
     */
    private Double gQty;

    /**
     * 第一数量
     */
    private Double qty1;

    /**
     * 第二数量
     */
    private Double qty2;

    /**
     * 计量单位
     */
    private String gUnit;

    /**
     * 第一计量单位
     */
    private String unit1;

    /**
     * 第二计量单位
     */
    private String unit2;

    /**
     * 单价
     */
    private Double declPrice;

    /**
     * 总价
     */
    private Double declTotal;

    /**
     * 完成状态
     */
    private Integer finishStatus;

    /**
     * 创建时间
     */
    private Date createTime;


    public SellGoodsListDto(Long id, String platSeqNo, String gNo, String codeTs, String gName, String gModel, String storageEnvm, String useTo, Double grossWt, Double netWt, String originCountry, Double gQty, Double qty1, Double qty2, String gUnit, String unit1, String unit2, Double declPrice, Double declTotal, Integer finishStatus, Date createTime) {
        this.id = id;
        this.platSeqNo = platSeqNo;
        this.gNo = gNo;
        this.codeTs = codeTs;
        this.gName = gName;
        this.gModel = gModel;
        this.storageEnvm = storageEnvm;
        this.useTo = useTo;
        this.grossWt = grossWt;
        this.netWt = netWt;
        this.originCountry = originCountry;
        this.gQty = gQty;
        this.qty1 = qty1;
        this.qty2 = qty2;
        this.gUnit = gUnit;
        this.unit1 = unit1;
        this.unit2 = unit2;
        this.declPrice = declPrice;
        this.declTotal = declTotal;
        this.finishStatus = finishStatus;
        this.createTime = createTime;
    }

    public SellGoodsListDto() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getgNo() {
        return gNo;
    }

    public void setgNo(String gNo) {
        this.gNo = gNo;
    }

    public String getCodeTs() {
        return codeTs;
    }

    public void setCodeTs(String codeTs) {
        this.codeTs = codeTs;
    }

    public String getgName() {
        return gName;
    }

    public void setgName(String gName) {
        this.gName = gName;
    }

    public String getgModel() {
        return gModel;
    }

    public void setgModel(String gModel) {
        this.gModel = gModel;
    }

    public String getStorageEnvm() {
        return storageEnvm;
    }

    public void setStorageEnvm(String storageEnvm) {
        this.storageEnvm = storageEnvm;
    }

    public String getUseTo() {
        return useTo;
    }

    public void setUseTo(String useTo) {
        this.useTo = useTo;
    }

    public Double getGrossWt() {
        return grossWt;
    }

    public void setGrossWt(Double grossWt) {
        this.grossWt = grossWt;
    }

    public Double getNetWt() {
        return netWt;
    }

    public void setNetWt(Double netWt) {
        this.netWt = netWt;
    }

    public String getOriginCountry() {
        return originCountry;
    }

    public void setOriginCountry(String originCountry) {
        this.originCountry = originCountry;
    }

    public Double getgQty() {
        return gQty;
    }

    public void setgQty(Double gQty) {
        this.gQty = gQty;
    }

    public Double getQty1() {
        return qty1;
    }

    public void setQty1(Double qty1) {
        this.qty1 = qty1;
    }

    public Double getQty2() {
        return qty2;
    }

    public void setQty2(Double qty2) {
        this.qty2 = qty2;
    }

    public String getgUnit() {
        return gUnit;
    }

    public void setgUnit(String gUnit) {
        this.gUnit = gUnit;
    }

    public String getUnit1() {
        return unit1;
    }

    public void setUnit1(String unit1) {
        this.unit1 = unit1;
    }

    public String getUnit2() {
        return unit2;
    }

    public void setUnit2(String unit2) {
        this.unit2 = unit2;
    }

    public Double getDeclPrice() {
        return declPrice;
    }

    public void setDeclPrice(Double declPrice) {
        this.declPrice = declPrice;
    }

    public Double getDeclTotal() {
        return declTotal;
    }

    public void setDeclTotal(Double declTotal) {
        this.declTotal = declTotal;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
